<?php
/**
* @version $Id: admin.php,v 1.11 2004/09/06 05:22:33 eddieajau Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @param string THe template position
*/
function mosCountAdminModules(  $position='left' ) {
	global $database, $my, $Itemid;

	$query = "SELECT COUNT(m.id)"
	. "\nFROM #__modules AS m"
	. "\nWHERE m.published='1' AND m.position='$position' AND m.client_id='1'";

	$database->setQuery( $query );
	return $database->loadResult();
}
/**
* Loads a admin modules
* @param string The position
* @param int 0 = no style, 1 = tabbed
*/
function mosLoadAdminModules( $position='left', $style=0 ) {
	global $database;

	$cache =& mosCache::getCache( 'com_content' );

	$query = "SELECT id, title, module, position, content, showtitle, params"
	."\nFROM #__modules AS m"
	. "\nWHERE m.published='1' AND m.position='$position'"
	. "\nAND (m.client_id = 1)"
	. "\nORDER BY m.ordering";

	$database->setQuery( $query );
	$modules = $database->loadObjectList();
	if($database->getErrorNum()) {
		echo "MA ".$database->stderr(true);
		return;
	}

	switch ($style) {
	    case 0:
	    default:
			foreach ($modules as $module) {
				$params =& new mosParameters( $module->params );
				mosLoadAdminModule( substr( $module->module, 4 ), $params );
			}
			break;

		case 1:
		    // Tabs
			$tabs = new mosTabs(0);
			$tabs->startPane( 'modules-' . $position );
			foreach ($modules as $module) {
				$params =& new mosParameters( $module->params );
				$tabs->startTab( $module->title, 'module' . $module->id );
				mosLoadAdminModule( substr( $module->module, 4 ), $params );
				$tabs->endTab();
			}
			$tabs->endPane();
			break;

		case 2:
		    // Div'd
			foreach ($modules as $module) {
				$params =& new mosParameters( $module->params );
				echo '<div>';
				mosLoadAdminModule( substr( $module->module, 4 ), $params );
				echo '</div>';
			}
			break;
	}
}
/**
* Loads an admin module
*/
function mosLoadAdminModule( $name, $params=null ) {
	global $mosConfig_absolute_path, $mosConfig_live_site;
	global $database, $acl, $my, $mainframe, $option;

	$task = mosGetParam( $_REQUEST, 'task', '' );
	// legacy support for $act
	$act = mosGetParam( $_REQUEST, 'act', '' );

    $name = str_replace( '/', '', $name );
    $name = str_replace( '\\', '', $name );
	$path = "$mosConfig_absolute_path/administrator/modules/mod_$name.php";
	if (file_exists( $path )) {
	    require $path;
	}
}

function mosShowSource( $filename, $withLineNums=false ) {
	ini_set('highlight.html', '000000');
	ini_set('highlight.default', '#800000');
	ini_set('highlight.keyword','#0000ff');
	ini_set('highlight.string', '#ff00ff');
	ini_set('highlight.comment','#008000');

	if (!($source = @highlight_file( $filename, true ))) {
		return 'Operation Failed';
	}
	$source = explode("<br />", $source);

	$ln = 1;

	$txt = '';
	foreach( $source as $line ) {
		$txt .= "<code>";
		if ($withLineNums) {
			$txt .= "<font color=\"#aaaaaa\">";
			$txt .= str_replace( ' ', '&nbsp;', sprintf( "%4d:", $ln ) );
			$txt .= "</font>";
		}
		$txt .= "$line<br /><code>";
		$ln++;
	}
	return $txt;
}
?>