<?php
/**
* @version $Id: contact.html.php,v 1.25 2004/09/06 07:43:27 stingrey Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );


/**
* @package Mambo_4.5.1
*/
class HTML_contact {


	function viewcontact( &$contact, &$params, $count, &$list ) {
		//print_r( $contact );
		global $mosConfig_live_site;
		global $mainframe, $Itemid;
		$template = $mainframe->getTemplate();
		$sitename = $mainframe->getCfg( 'sitename' );
		$hide_js = mosGetParam($_REQUEST,'hide_js', 0 );
		?>
		<script language="JavaScript" type="text/javascript">
		<!--
		function validate(){
			if ( ( document.emailForm.text.value == "" ) || ( document.emailForm.email.value.search("@") == -1 ) || ( document.emailForm.email.value.search("[.*]" ) == -1 ) ) { 
				alert( "<?php echo _CONTACT_FORM_NC; ?>" );
			} else {
			document.emailForm.action = "<?php echo sefRelToAbs("index.php?option=com_contact&Itemid=$Itemid"); ?>"
			document.emailForm.submit();
			}
		}
		//-->
		</script>
		<script type="text/javascript">
		<!--
		function ViewCrossReference( selSelectObject ){
			var links = new Array();
			<?php
			$n = count( $list );
			for ($i = 0; $i < $n; $i++) {
			   echo "\nlinks[".$list[$i]->value."]='"
					. sefRelToAbs( 'index.php?option=com_contact&Itemid='.$Itemid.'&contact_id=' . $list[$i]->value )
					. "';";
			}
			?>
			
			var sel = selSelectObject.options[selSelectObject.selectedIndex].value
			if (sel != "") {
				location.href = links[sel];
			}
		}
		//-->
		</script>
		<?php
		// For the pop window opened for print preview
		if ( $params->get( 'popup' ) ) {
			?>
			<title><?php echo $sitename ." :: ". $contact->name; ?></title>
			<link rel="stylesheet" href="<?php echo $mosConfig_live_site ."/templates/". $template ."/css/template_css.css";?>" type="text/css" />
			<?php	
		}
		?>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" class="contentpane<?php echo $params->get( 'pageclass_sfx' ); ?>">
		<?php 
		// displays Page Title
		HTML_contact::_writePageTitle( $params );
		
		// displays Contact Select box
		HTML_contact::_writeSelectContact( $contact, $params, $count );
	
		// displays Name & Positione
		HTML_contact::_writeContactName( $contact, $params, $hide_js );
		?>
		<tr>
			<td>
			<?php 
			// displays Image
			HTML_contact::_writeImage( $contact, $params );
	
			// displays Address
			HTML_contact::_writeContactAddress( $contact, $params );
	
			// displays Email & Telephone
			HTML_contact::_writeContactContact( $contact, $params );
		
			// displays Misc Info
			HTML_contact::_writeContactMisc( $contact, $params );
	
			// displays Email Form
			HTML_contact::_writeEmailForm( $contact, $params, $sitename );
			?> 		
			</td>
		</tr>
		</table>
		<?php
		// display Close button in pop-up window
		mosHTML::CloseButton ( $params, $hide_js );
	
		// displays back button
		mosHTML::BackButton ( $params, $hide_js );
	}
	
	
	/**
	* Writes Page Title
	*/
	function _writePageTitle( &$params ) {
		if ( $params->get( 'page_title' )  && !$params->get( 'popup' ) ) { 
			?>
			<tr>
				<td class="componentheading<?php echo $params->get( 'pageclass_sfx' ); ?>" colspan="2">
				<?php echo $params->get( 'header' ); ?>
				</td>
			</tr>
			<?php 
		}	
	}
	
	/**
	* Writes Dropdown box to select contact
	*/
	function _writeSelectContact( &$contact, &$params, $count ) {
		if ( ( $count > 1 )  && !$params->get( 'popup' ) ) {
			global $Itemid;
			?>
			<tr>
				<td colspan="2" align="center">
				<br/>
				<form action="<?php echo sefRelToAbs( 'index.php?option=com_contact&amp;Itemid='. $Itemid ); ?>" method="post" name="selectForm" target="_top" id="selectForm">
				<?php echo (_CONTACT_SEL); ?> 
				<br/>
				<?php echo $contact->select; ?>
				</form>
				</td>
			</tr>
			<?php
		}
	}
	
	/**
	* Writes Name & Position
	*/
	function _writeContactName( &$contact, &$params ) {
		global $mosConfig_live_site, $Itemid, $hide_js;
		global $mosConfig_absolute_path, $cur_template;
		if ( $contact->name ||  $contact->con_position ) {
			if ( $contact->name ) {
				?>
				<tr>
					<td width="100%" class="contentheading<?php echo $params->get( 'pageclass_sfx' ); ?>">
					<?php
					echo $contact->name;
					?>
					</td>
					<?php
					// displays Print Icon
					$print_link = $mosConfig_live_site. "/index2.php?option=com_contact&amp;Itemid=". $Itemid ."&amp;contact_id=". $contact->id ."&amp;pop=1";
					mosHTML::PrintIcon( $contact, $params, $hide_js, $print_link );
					?>
				</tr>
				<?php	
			}
			if ( $contact->con_position ) {
				?>
				<tr>
					<td colspan="2">
					<?php
					echo $contact->con_position;
					?>				
					<br/><br/>
					</td>
				</tr>
				<?php	
			}
		}
	}
	
	/*
	* Writes Image
	*/
	function _writeImage( &$contact, &$params ) {
		global $mosConfig_live_site;
		if ( $contact->image ) {
			?>
			<div style="float: right;">
			<img src="<?php echo $mosConfig_live_site;?>/images/stories/<?php echo $contact->image; ?>" align="middle" alt="Contact" />
			</div>
			<?php
		}
	}
	
	/**
	* Writes Address
	*/
	function _writeContactAddress( &$contact, &$params ) {
		if ( $contact->address || $contact->suburb  || $contact->state || $contact->country || $contact->postcode ) {
			global $mosConfig_live_site;
			?>
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<?php
			if ( $contact->address ) {
				?>
				<tr>
					<td rowspan="5" valign="top" width="40px" align="left">
					<?php
					//echo _CONTACT_ADDRESS;
					?>
					<img src="<?php echo $mosConfig_live_site;?>/images/M_images/con_address.png" width="16" height="16" align="middle" alt="Address" />
					</td>
					<td>
					<?php
					echo $contact->address;
					?>
					</td>
				</tr>
				<?php	
			}
			if ( $contact->suburb ) {
				?>
				<tr>
					<td>
					<?php
					echo $contact->suburb;
					?>
					</td>
				</tr>
				<?php	
			}
			if ( $contact->state ) {
				?>
				<tr>
					<td>
					<?php
					echo $contact->state;
					?>
					</td>
				</tr>
				<?php	
			}
			if ( $contact->country ) {
				?>
				<tr>
					<td>
					<?php
					echo $contact->country;
					?>
					</td>
				</tr>
				<?php	
			}
			if ( $contact->postcode ) {
				?>
				<tr>
					<td>
					<?php
					echo $contact->postcode;
					?>
					</td>
				</tr>
				<?php	
			}
			?>
			</table>
			<br/>
			<?php	
		}
	}
	
	/**
	* Writes Contact Info
	*/
	function _writeContactContact( &$contact, &$params ) {
		if ( $contact->email_to || $contact->telephone  || $contact->fax ) {
			global $mosConfig_live_site;
			?>
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<?php
			if ( $contact->email_to ) {
				?>
				<tr>
					<td width="40px" align="left">
					<?php
					//echo _CONTACT_EMAIL;
					?>
					<img src="<?php echo $mosConfig_live_site;?>/images/M_images/emailButton.png" width="16" height="16" align="middle" alt="Email" />
					</td>
					<td>
					<?php
					echo $contact->email_to;
					?>
					</td>
				</tr>
				<?php	
			}
			if ( $contact->telephone ) {
				?>
				<tr>
					<td align="left">
					<?php
					//echo _CONTACT_TELEPHONE;
					?>
					<img src="<?php echo $mosConfig_live_site;?>/images/M_images/con_tel.png" width="16" height="16" align="middle" alt="Telephone" />
					</td>
					<td>
					<?php
					echo $contact->telephone;
					?>
					</td>
				</tr>
				<?php	
			}
			if ( $contact->fax ) {
				?>
				<tr>
					<td align="left">
					<?php
					//echo _CONTACT_FAX;
					?>
					<img src="<?php echo $mosConfig_live_site;?>/images/M_images/con_fax.png" width="16" height="16" align="middle" alt="Fax" />
					</td>
					<td>
					<?php
					echo $contact->fax;
					?>
					</td>
				</tr>
				<?php	
			}
			?>
			</table>
			<br/>
			<?php	
		}
	}
	
	/**
	* Writes Misc Info
	*/
	function _writeContactMisc( &$contact, &$params ) {
		if ( $contact->misc ) {
			global $mosConfig_live_site;
			?>
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td width="40px" valign="top" align="left">
				<?php
				//echo _CONTACT_MISC;
				?>
				<img src="<?php echo $mosConfig_live_site;?>/images/M_images/con_info.png" width="16" height="16" align="middle" alt="Info" />
				</td>
				<td>
				<?php
				echo $contact->misc;
				?>
				</td>
			</tr>
			</table>
			<br/>
			<?php	
		}
	}
	
	/**
	* Writes Email form
	*/
	function _writeEmailForm( &$contact, &$params, $sitename ) {
		if ( $contact->email_to && !$params->get( 'popup' ) ) {
			?>
			<br />
			<form action="<?php echo sefRelToAbs( 'index.php?option=com_contact&amp;Itemid='. $contact->id ); ?>" method="post" name="emailForm" target="_top" id="emailForm">
			<div class="contact_email<?php echo $params->get( 'pageclass_sfx' ); ?>">
				<?php echo(_NAME_PROMPT);?>
				<br /> 
				<input type="text" name="name" size="30" class="inputbox" value="" />
				<br /> 
				<?php echo(_EMAIL_PROMPT);?>
				<br /> 
				<input type="text" name="email" size="30" class="inputbox" value="" />
				<br /> 
				<?php echo(_SUBJECT_PROMPT);?>
				<br /> 
				<input type="text" name="subject" size="30" class="inputbox" value="" />
				<br /><br /> 
				<?php echo(_MESSAGE_PROMPT);?>
				<br /> 
				<textarea cols="50" rows="10" name="text" class="inputbox"></textarea>
				<br /> 
				<input type="hidden" name="option" value="com_contact" />
			</div>
			<input type="hidden" name="con_id" value="<?php echo $contact->id; ?>" />
			<input type="hidden" name="sitename" value="<?php echo $sitename; ?>" />
			<input type="hidden" name="op" value="sendmail" />
			<input type="button" name="send" value="<?php echo(_SEND_BUTTON); ?>" class="button" onclick="validate()" />
			</form>
			<?php
		}
	}
	
	
	function nocontact( &$params ) {
		?>
		<br/><br/>
		<?php echo _CONTACT_NONE;?>
		<br/><br/>
		<?php
		// displays back button
		mosHTML::BackButton ( $params );
	}
}
?>