<?php
/**
* @version $Id: contact.php,v 1.18 2004/09/06 07:43:27 stingrey Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// load the html drawing class
require_once( $mainframe->getPath( 'front_html' ) );
require_once( $mainframe->getPath( 'class' ) );

if ( !isset( $op ) ) {
	$op = "";
}

//Load Vars
$con_id = intval( mosGetParam( $_REQUEST ,'con_id', 0 ) );
$contact_id = intval( mosGetParam( $_REQUEST ,'contact_id', -1 ) );

switch( $op ) {
	case 'sendmail':
	sendmail( $con_id, $option );
	break;

	default:
	contactpage( $option, $contact_id );
	break;
}


function contactpage( $option, $contact_id ) {
	global $mainframe, $database, $my, $Itemid;

	$query = "SELECT a.id AS value, CONCAT_WS( ' - ', a.name, a.con_position ) AS text"
	. "\n FROM #__contact_details AS a"
	. "\n LEFT JOIN #__categories AS cc ON cc.id = a.catid"
	. "\n WHERE a.published = '1'"
	. "\n AND cc.published = '1'"
//	. "\n AND a.access <='". $my->gid ."'"
	. "\n ORDER BY a.default_con DESC, a.ordering ASC"
	;
	$database->setQuery( $query );
	$list = $database->loadObjectList();
	$count = count( $list );

	// Adds parameter handling
	$menu =& new mosMenu( $database );
	$menu->load( $Itemid );
	$params =& new mosParameters( $menu->params );
	$params->def( 'page_title', 1 );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );
	$params->def( 'print', !$mainframe->getCfg( 'hidePrint' ) );
	// loads current template for the pop-up window
	$pop = mosGetParam( $_REQUEST, 'pop', 0 );
	if ( $pop ) {
		$params->set( 'popup', 1 );
		$params->set( 'back_button', 0 );
	}	

	if ( $count ) {
		// contact information
		$contact =& new mosContact();
		if ( $contact_id < 1 ) {
		    $contact_id = $list[0]->value;
		}
		$contact->load( $contact_id );

		$contact->select = mosHTML::selectList( $list, 'contact_id', 'class="inputbox" onchange="ViewCrossReference(this);"', 'value', 'text', $contact_id );
		HTML_contact::viewcontact( $contact, $params, $count, $list );
	} else {
		HTML_contact::nocontact( $params );
	}
}


function sendmail( $con_id, $option ) {
	global $database, $Itemid;
	global $mosConfig_sitename, $mosConfig_mailfrom, $mosConfig_fromname;
	
	$database->setQuery( "SELECT email_to FROM #__contact_details WHERE id='$con_id'" );
	$email_to = $database->loadResult();
		
	$default = $mosConfig_sitename.' '. _ENQUIRY;
	$email = trim( mosGetParam( $_POST, 'email', '' ) );
	$text = trim( mosGetParam( $_POST, 'text', '' ) );
	$name = trim( mosGetParam( $_POST, 'name', '' ) );
	$subject = trim( mosGetParam( $_POST, 'subject', $default ) );

	if ( !$email || !$text || ( is_email( $email )==false ) ) {
		echo "<script>alert (\""._CONTACT_FORM_NC."\"); window.history.go(-1);</script>";
		exit(0);
	}
	$text = ""._ENQUIRY_TEXT." ".$name. " (". $email .")" ."\r \n". stripslashes($text);
	
	mosMail( $mosConfig_mailfrom, $mosConfig_fromname, $email_to, $subject, $text );
	?>
	<script> 
	alert( "<?php echo _THANK_MESSAGE; ?>" ); 
	document.location.href='<?php echo sefRelToAbs( "index.php?option=$option&amp;Itemid=$Itemid" ); ?>';
	</script>
	<?php
}


function is_email($email){
	$rBool=false;
	
	if  ( preg_match( "/[\w\.\-]+@\w+[\w\.\-]*?\.\w{1,4}/" , $email ) ){
		$rBool=true;
	}
	return $rBool;
}
?>
