<?php
/**
* @version $Id: frontend.html.php,v 1.23 2004/09/03 01:20:03 eddieajau Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @package Mambo_4.5.1
*/
class modules_html {
	function module( &$module, &$params, $Itemid, $style=0 ) {
		global $mosConfig_live_site, $mosConfig_sitename, $mosConfig_lang, $mosConfig_absolute_path;
		$rssurl = $params->get( 'rssurl' );
		$rssitems = $params->get( 'rssitems' );
		$rssdesc = $params->get( 'rssdesc' );
		$moduleclass_sfx = $params->get( 'moduleclass_sfx' );

		echo "\n<table cellpadding=\"0\" cellspacing=\"0\" class=\"moduletable" . $moduleclass_sfx . "\">\n";

		if ($module->showtitle!=0)
		{
			echo "  <tr>\n";
			echo "    <th valign=\"top\">" . $module->title . "</th>\n";
			echo "  </tr>\n";
		}

		if ($module->content) {
			echo "  <tr>\n";
			echo "    <td>" . $module->content . "</td>\n";
			echo "  </tr>\n";
		}
		$cacheDir = $mosConfig_absolute_path . "/cache/";
		$LitePath = $mosConfig_absolute_path . "/includes/Cache/Lite.php";
		require_once( $mosConfig_absolute_path . "/includes/domit/xml_domit_rss_lite.php");
		$rssDoc =& new xml_domit_rss_document_lite();
		$rssDoc->useCacheLite(true, $LitePath, $cacheDir, 3600);
		$rssDoc->loadRSS( $rssurl );
		$totalChannels = $rssDoc->getChannelCount();

		for ($i = 0; $i < $totalChannels; $i++) {
			$currChannel =& $rssDoc->getChannel($i);
			echo "  <tr>\n";
			echo "  <td><strong><a href=\"" . $currChannel->getLink() . "\" target=\"_child\">";
			echo $currChannel->getTitle() . "</a></strong></td>\n";
			echo "  </tr>\n";
			if ($rssdesc) {
				echo "  <tr>\n";
				echo "    <td>" . $currChannel->getDescription() . "</td>\n";
				echo "</tr>\n";
			}

			$actualItems = $currChannel->getItemCount();
			$setItems = $rssitems;

			if ($setItems > $actualItems) {
				$totalItems = $actualItems;
			} else {
				$totalItems = $setItems;
			}

			for ($j = 0; $j < $totalItems; $j++) {
				$currItem =& $currChannel->getItem($j);

				echo "  <tr>\n";
				echo "    <td><strong><a href=\"" . $currItem->getLink() . "\" target=\"_child\">";
				echo $currItem->getTitle() . "</a></strong> - " . $currItem->getDescription() . "</td>\n";
				echo "  </tr>\n";
			}
		}
		echo "</table>\n";
	}
	/**
	* @param object
	* @param object
	* @param int The menu item ID
	* @param int -1=show without wrapper and title, -2=x-mambo style
	*/
	function module2( &$module, &$params, $Itemid, $style=0 ) {
		global $mosConfig_live_site, $mosConfig_sitename, $mosConfig_lang, $mosConfig_absolute_path;
		global $mainframe, $database, $my;
		$moduleclass_sfx = $params->get( 'moduleclass_sfx' );

		// check for custom language file
		$path = $mosConfig_absolute_path . '/modules/' . $module->module.$mosConfig_lang . '.php';
		if (file_exists( $path )) {
			include( $path );
		} else {
			$path = "$mosConfig_absolute_path/modules/$module->module.eng.php";
			if (file_exists( $path )) {
				include( $path );
			}
		}

		if ($style == -2) {
			// x-mambo
			echo '<div class="moduletable' . $moduleclass_sfx . '">';
			if ($module->showtitle != 0) {
				echo "\n<h3>" . $module->title . "</h3>\n";
			}
			include( $mosConfig_absolute_path . "/modules/" . $module->module . ".php" );

			if (isset( $content)) {
				echo $content;
			}
			echo "</div>\n";
		} else if ($style == -1) {
			// show a naked module - no wrapper and no title
			include( $mosConfig_absolute_path . "/modules/" . $module->module . ".php" );

			if (isset( $content)) {
				echo $content;
			}
		} else {
			echo "\n<table cellpadding=\"0\" cellspacing=\"0\"  class=\"moduletable" . $moduleclass_sfx . "\">\n";

			if ($module->showtitle!=0) {
				echo "  <tr>\n";
				echo "    <th valign=\"top\">" . $module->title . "</th>\n";
				echo "  </tr>\n";
			}

			echo "  <tr>\n";
			echo "    <td>\n";

			include( $mosConfig_absolute_path . "/modules/" . $module->module . ".php" );

			if (isset( $content)) {
				echo $content;
			}

			echo "    </td>\n";
			echo "  </tr>\n";
			echo "</table>\n";
		}
	}
}
?>